Page MenuHomePhabricator

Write an update about that is going on concerning ptwikibooks LqT-to-Flow conversion
Closed, ResolvedPublic

Description

Based on that task section and @He7d3r's comment, draft a quick and understandable update about LiquidThread-to-Flow conversion on Portuguese Wikibooks.

To be done:

  • Draft by Trizek
  • Review by Matthias
  • Translation by He7d3r

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 30 2016, 1:49 PM
Qgil added a subscriber: Qgil.May 31 2016, 6:26 AM

High priority, I am assuming this task aims to be addressed in June.

High priority, I am assuming this task aims to be addressed in June.

Yes.

Trizek-WMF lowered the priority of this task from High to Normal.Jun 13 2016, 10:07 AM

Lowering priority: I will not have time to work on that until next month.

Trizek-WMF updated the task description. (Show Details)

Draft sent to Matthias.

Message is ready for translation and posting:

As you know, pt wikibooks uses Liquidthread, which is not supported anymore. We attempted to convert all discussions to Flow, but it is quite complicated and it failed for yet unknown reasons. At the moment the import is partially done and there is some duplicated Flow topics. We need to solve that by re-doing that import with a new script. This message is here to give you an update on what we are going to do.

A new script has been created to “prepare” LQT again for the import.
When we previously ran the import, not only did it create duplicate Flow topics, but the import also changes LQT:

  • it disables LQT:
{{#useliquidthreads:0}}
  • it moves LQT to an archive page
  • it changes LQT content to #REDIRECT to the new Flow copy

If we want to reimport LQT again, we have to undo these changes. We have to make sure that LQT is in the correct archive position, we have to re-enable it, and we have to restore the original post contents instead of #REDIRECT.
After we have done all of that, LQT is in a good state to start the import again.

We will first safely delete topics where there has been no activity since we ran the first import. They will be recreated properly later, with a different URL. At that point, all of the remaining Flow topics will be te ones created or updates (by posting a new message) after that first import. We are ignoring them.

[[User:Mmullie (WMF)|]] is going to start really soon. If there is any troubles, please contact [[user:Trizek (WMF)|]].

Thanks!

He7d3r added a comment.EditedJul 2 2016, 1:47 PM

Translation:

Como sabem, o Wikilivros em português utiliza LiquidThreads, que já não é suportada. Nós tentamos converter todas as discussões para o Flow, mas é bastante complicado e a conversão falhou por motivos ainda desconhecidos. No momento, a importação está feita parcialmente e há alguns tópicos Flow duplicados. Nós precisamos resolver isso refazendo a importação com um novo script. Esta mensagem é para dar uma atualização sobre o que faremos.

Um novo script foi criado para "preparar" a LQT novamente para a importação
Quando nós executamos a importação anteriormente, não apenas ela criou tópicos Flow duplicados, mas a importação também alterou LQT:

  • ela desabilita LQT: {{#useliquidthreads:0}}
  • ela move LQT para uma página de arquivo
  • ela muda o conteúdo LQT para um #REDIRECT para a nova cópia Flow

Se quisermos reimportar LQT, precisaremos desfazer estas alterações. Nós precisamos nos certificar de que LQT está na posição de arquivo correta, precisamos reativá-la, e precisamos restaurar os conteúdos originais em vez de #REDIRECT.
Depois de realizarmos tudo isso, LQT está em um bom estado para começar a importação novamente.

Nós tentaremos primeiro remover de forma segura tópicos em que não houve atividade desde que executamos o primeiro script. Eles serão recriados corretamente depois, com um URL diferente. Naquele ponto, todos os tópicos Flow restantes serão os que foram criados ou atualizações (através da postagem de novas mensagens) depois da primeira importação. Nós os ignoraremos.

[[User:Mmullie (WMF)|]] começará em breve. Se houver qualquer problema, por favor entrem em contato com [[user:Trizek (WMF)|]].

Obrigado!

Trizek-WMF updated the task description. (Show Details)Jul 5 2016, 9:29 AM

Posted!

Thanks again for your help, He7d3r!

Trizek-WMF closed this task as Resolved.Jul 5 2016, 9:36 AM